﻿using System;
using HorseRaceTracker.Domain.Core;

namespace HorseRaceTracker.Application.DTO
{
    internal class GenderInfoAssembler
    {
        public GenderInfo GenderInfo { get; private set;}

        public GenderInfoAssembler()
        {
            GenderInfo = GenderInfo.Unknown; 
        }
        public GenderInfoAssembler AddGender(Gender gender)
        {
            GenderInfo info;
            bool res = Enum.TryParse(gender.ToString(), out info);
            GenderInfo = info;
            return this;
        }
    }
}