﻿namespace HorseRaceTracker.Domain.Core
{
    public class Country
    {
        public string Code { get; set; }
        public string Name { get; set; }
    }


    public enum CountryEnum
    {
        Unknown = 0,
        USA = 1,
        Canada = 2,
        Mexico = 3,
        UK = 4,
        Ireland = 5,
        TrinidadTobago = 6,
        Afghanistan = 7,
        Albania = 8,
        Algeria = 9,
        AmericanSamoa = 10,
        Andorra = 11,
        Angola = 12,
        Anguilla = 13,
        Antarctica = 14,
        AntiguaandBarbuda = 15,
        Argentina = 16,
        Armenia = 17,
        Aruba = 18,
        Australia = 19,
        Austria = 20,
        Azerbaijan = 21,
        Bahamas = 22,
        Bahrain = 23,
        Bangladesh = 24,
        Barbados = 25,
        Belarus = 26,
        Belgium = 27,
        Belize = 28,
        Benin = 29,
        Bermuda = 30,
        Bhutan = 31,
        Bolivia = 32,
        BosniaAndHerzegovina = 33,
        Botswana = 34,
        Brazil = 35,
        BritishVirginIslands = 36,
        Brunei = 37,
        Bulgaria = 38,
        BurkinaFaso = 39,
        Burundi = 40,
        Cambodia = 41,
        Cameroon = 42,
        CapeVerde = 43,
        CaymanIslands = 44,
        CentralAfricanRepublic = 45,
        Chad = 46,
        Chile = 47,
        China = 48,
        Colombia = 49,
        Comoros = 50,
        Congo = 51,
        CongoDR = 52,
        CookIslands = 53,
        CostaRica = 54,
        Croatia = 55,
        Cuba = 56,
        Cyprus = 57,
        CzechRepublic = 58,
        Denmark = 59,
        Djibouti = 60,
        Dominica = 61,
        DominicanRepublic = 62,
        EastTimor = 63,
        Ecuador = 64,
        Egypt = 65,
        ElSalvador = 66,
        EquatorialGuinea = 67,
        Eritrea = 68,
        Estonia = 69,
        Ethiopia = 70,
        ExternalTerritoriesofAustralia = 71,
        FalklandIslands = 72,
        FaroeIslands = 73,
        FijiIslands = 74,
        Finland = 75,
        France = 76,
        FrenchGuiana = 77,
        FrenchPolynesia = 78,
        FrenchSouthernTerritories = 79,
        Gabon = 80,
        Gambia = 81,
        Georgia = 82,
        Germany = 83,
        Ghana = 84,
        Gibraltar = 85,
        Greece = 86,
        Greenland = 87,
        Grenada = 88,
        Guadeloupe = 89,
        Guam = 90,
        Guatemala = 91,
        GuernseyandAlderney = 92,
        Guinea = 93,
        GuineaBissau = 94,
        Guyana = 95,
        Haiti = 96,
        Honduras = 97,
        Hungary = 98,
        Iceland = 99,
        India = 100,
        Indonesia = 101,
        Iran = 102,
        Iraq = 103,
        Israel = 104,
        Italy = 105,
        IvoryCoast = 106,
        Jamaica = 107,
        Japan = 108,
        Jersey = 109,
        Jordan = 110,
        Kazakhstan = 111,
        Kenya = 112,
        Kiribati = 113,
        NorthKorea = 114,
        SouthKorea = 115,
        Kuwait = 116,
        Kyrgyzstan = 117,
        Laos = 118,
        Latvia = 119,
        Lebanon = 120,
        Lesotho = 121,
        Liberia = 122,
        Libya = 123,
        Liechtenstein = 124,
        Lithuania = 125,
        Luxembourg = 126,
        Macedonia = 127,
        Madagascar = 128,
        Malawi = 129,
        Malaysia = 130,
        Maldives = 131,
        Mali = 132,
        Malta = 133,
        MarshallIslands = 134,
        Martinique = 135,
        Mauritania = 136,
        Mauritius = 137,
        Mayotte = 138,
        Micronesia = 139,
        Moldova = 140,
        Monaco = 141,
        Mongolia = 142,
        Montserrat = 143,
        Morocco = 144,
        Mozambique = 145,
        Myanmar = 146,
        Namibia = 147,
        Nauru = 148,
        Nepal = 149,
        Netherlands = 150,
        NetherlandsAntilles = 151,
        NewCaledonia = 152,
        NewZealand = 153,
        Nicaragua = 154,
        Niger = 155,
        Nigeria = 156,
        Niue = 157,
        NorfolkIsland = 158,
        NorthernMarianaIslands = 159,
        Norway = 160,
        Oman = 161,
        Pakistan = 162,
        Palau = 163,
        Palestine = 164,
        Panama = 165,
        PapuaNewGuinea = 166,
        Paraguay = 167,
        Peru = 168,
        Philippines = 169,
        Poland = 170,
        Portugal = 171,
        PuertoRico = 172,
        Qatar = 173,
        Reunion = 174,
        Romania = 175,
        Russia = 176,
        Rwanda = 177,
        SaintHelena = 178,
        SaintKittsandNevis = 179,
        SaintLucia = 180,
        SaintPierreandMiquelon = 181,
        SaintVincentandTheGrenadines = 182,
        Samoa = 183,
        SanMarino = 184,
        SaudiArabia = 185,
        Senegal = 186,
        Serbia = 187,
        Seychelles = 188,
        SierraLeone = 189,
        Singapore = 190,
        Slovakia = 191,
        Slovenia = 192,
        SmallerTerritoriesofChile = 193,
        SmallerTerritoriesofNorway = 194,
        SmallerTerritoriesoftheUK = 195,
        SolomonIslands = 196,
        Somalia = 197,
        SouthAfrica = 198,
        Spain = 199,
        SriLanka = 200,
        Sudan = 201,
        Suriname = 202,
        SvalbardandJanMayen = 203,
        Swaziland = 204,
        Sweden = 205,
        Switzerland = 206,
        Syria = 207,
        SaoTomeandPrincipe = 208,
        Taiwan = 209,
        Tajikistan = 210,
        Tanzania = 211,
        Thailand = 212,
        Togo = 213,
        Tokelau = 214,
        Tonga = 215,
        Tunisia = 216,
        Turkey = 217,
        Turkmenistan = 218,
        TurksandCaicosIslands = 219,
        Tuvalu = 220,
        Uganda = 221,
        Ukraine = 222,
        UnitedArabEmirates = 223,
        UnitedStatesMinorOutlyingIslands = 224,
        Uruguay = 225,
        Uzbekistan = 226,
        Vanuatu = 227,
        VaticanCity = 228,
        Venezuela = 229,
        Vietnam = 230,
        VirginIslandsoftheUnitedStates = 231,
        WallisandFutuna = 232,
        WesternSahara = 233,
        Yemen = 234,
        Zambia = 235,
        Zimbabwe = 236,
        HongKong = 237,
        Macau = 238,
        Montenegro = 239

    }
}